Skip to main content
`Ctrl`+`K`

# PetscRegressorSetRegularizerWeight

Sets the weight to be used for the regularizer for a `PetscRegressor` context

## Synopsis

    PetscErrorCode PetscRegressorSetRegularizerWeight(PetscRegressor regressor, PetscReal weight)

Logically Collective

## Input Parameters

- regressor - the `PetscRegressor` context

- weight - the regularizer weight

## Options Database Key

- regressor_regularizer_weight <weight> - sets the regularizer’s weight

## See Also

`PetscRegressorSetType`

## Level

beginner

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages